Atualizar tag
curl --request PUT \
--url https://api.despezzas.com/v1/tags/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"color": "#0EA5E9",
"name": "Viagem 2026"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({color: '#0EA5E9', name: 'Viagem 2026'})
};
fetch('https://api.despezzas.com/v1/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.despezzas.com/v1/tags/{id}"
payload = {
"color": "#0EA5E9",
"name": "Viagem 2026"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.despezzas.com/v1/tags/{id}"
payload := strings.NewReader("{\n \"color\": \"#0EA5E9\",\n \"name\": \"Viagem 2026\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"color": "#0EA5E9",
"id": "e2f3a4b5-c6d7-4e8f-9a0b-1c2d3e4f5a6b",
"name": "Viagem",
"createdAt": "2026-09-01T09:00:00.000Z",
"profile_id": null,
"updatedAt": "2026-09-15T14:32:10.000Z",
"user_id": "0d6b923c-3392-424e-a152-2ee32474e8d5"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}Tags
Atualizar tag
Escopo necessário: write.
PUT
/
v1
/
tags
/
{id}
Atualizar tag
curl --request PUT \
--url https://api.despezzas.com/v1/tags/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"color": "#0EA5E9",
"name": "Viagem 2026"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({color: '#0EA5E9', name: 'Viagem 2026'})
};
fetch('https://api.despezzas.com/v1/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.despezzas.com/v1/tags/{id}"
payload = {
"color": "#0EA5E9",
"name": "Viagem 2026"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.despezzas.com/v1/tags/{id}"
payload := strings.NewReader("{\n \"color\": \"#0EA5E9\",\n \"name\": \"Viagem 2026\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"color": "#0EA5E9",
"id": "e2f3a4b5-c6d7-4e8f-9a0b-1c2d3e4f5a6b",
"name": "Viagem",
"createdAt": "2026-09-01T09:00:00.000Z",
"profile_id": null,
"updatedAt": "2026-09-15T14:32:10.000Z",
"user_id": "0d6b923c-3392-424e-a152-2ee32474e8d5"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}Authorizations
basicAuthapiSecret & apiToken
HTTP Basic com o token como usuário e o secret como senha: curl -u dpz_tk_…:dpz_sk_…. Crie a chave em https://despezzas.com/settings/api-keys.
Path Parameters
Identificador do recurso.
Example:
"8f1c2a34-5b6d-4e7f-8a9b-0c1d2e3f4a5b"
Body
application/json
Response
Sucesso.
Cor (hex).
Example:
"#0EA5E9"
Id.
Example:
"e2f3a4b5-c6d7-4e8f-9a0b-1c2d3e4f5a6b"
Nome.
Example:
"Viagem"
Criação.
Example:
"2026-09-01T09:00:00.000Z"
Perfil de Acesso / empresa.
Example:
null
Última alteração.
Example:
"2026-09-15T14:32:10.000Z"
Dono.
Example:
"0d6b923c-3392-424e-a152-2ee32474e8d5"